## revolt 0.0+git20170627.3f5112b

=== Makefile ===

APP_ID ?= org.perezdecastro.Revolt

all: $(APP_ID).gresource

config.mk: configure
	@echo '==== Running "configure" script...'
	@./configure
	@echo '==== Run "configure --help" for more options'

-include config.mk

RESOURCE_FILES := $(wildcard gtk/*.ui gtk/*.css icon/*.svg)
$(APP_ID).gresource: $(APP_ID).gresources.xml $(RESOURCE_FILES)
	glib-compile-resources --target=$@ $<

gschemas.compiled: $(APP_ID).gschema.xml
	glib-compile-schemas .

run: $(APP_ID).gresource gschemas.compiled
	XDG_DATA_DIRS="$${XDG_DATA_DIRS}:$(CURDIR)" GSETTINGS_SCHEMA_DIR='$(CURDIR)' __REVOLT_DEVELOPMENT=1 '$(CURDIR)/bin/revolt'

install:
	SKIP_ICON_CACHE_UPDATE=1 ./install.sh --prefix='$(PREFIX)' $(if $(DESTDIR),--destdir='$(DESTDIR)')
	python3 -m compileall $(if $(DESTDIR),-d '$(DESTDIR)') $(DESTDIR)$(PREFIX)/share/revolt/py/revolt/*.py

.PHONY: install run

## revolt 0.0%2Bgit20180813.6b10d57

=== debian/control ===
Source: revolt
Section: net
Priority: optional
Maintainer: Matrix Packaging Team <pkg-matrix-maintainers@lists.alioth.debian.org>
Uploaders: Hubert Chathi <uhoreg@debian.org>
Build-Depends: debhelper (>=9), libglib2.0-bin, libglib2.0-dev-bin, python3:any, python3-gi, dh-python
Standards-Version: 3.9.8
Homepage: https://github.com/aperezdc/revolt
Vcs-Git: https://salsa.debian.org/matrix-team/revolt.git
Vcs-Browser: https://salsa.debian.org/matrix-team/revolt

Package: revolt
Architecture: all
Depends: python3:any, python3-gi, gir1.2-webkit2-4.0, ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: better desktop integration for Riot.im
 Revolt is a small application which wraps the Riot.im webapp to provide better
 integration with desktop environments in general, and GNOME in particular:
 .
   * Having Riot as a "standalone" application with its own window, launcher,
     icon, etc. instead of it living in a browser tab.
   * Persistent notifications (for desktop environments supporting them, i.e.
     GNOME). Notifications are automatically prevented when the Revolt window
     is focused.
   * Status icon for desktop environment which have a tray bar applet (XFCE,
     Budgie, likely many others).
 .
 Riot.im is a chat client for Matrix, an open, federated communications
 protocol.

## revolt 0.0+git20170627.3f5112b

=== debian/changelog ===
revolt (0.0+git20170627.3f5112b-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libglib2.0-dev-bin as well as libglib2.0-bin.
    glib-compile-resources moved from -bin to -dev-bin in version
    2.54.2-5 to fix #885019 (Closes: #885797)

 -- Simon McVittie <smcv@debian.org>  Sat, 30 Dec 2017 00:49:08 +0000

revolt (0.0+git20170627.3f5112b-2) unstable; urgency=medium

  * Depend on gir1.2-webkit2-4.0 instead of directly on libwebkit2gtk-4.0.
    (Closes: #881962 - Thanks to tehnick)

 -- Hubert Chathi <uhoreg@debian.org>  Sat, 25 Nov 2017 12:05:24 -0500

revolt (0.0+git20170627.3f5112b-1) unstable; urgency=medium

  * Initial release (Closes: #873095)

 -- Hubert Chathi <uhoreg@debian.org>  Sat, 09 Sep 2017 22:57:39 -0400

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Matrix Packaging Team <pkg-matrix-maintainers@lists.alioth.debian.org>
 Uploaders: Hubert Chathi <uhoreg@debian.org>
-Build-Depends: debhelper (>=9), libglib2.0-bin, libglib2.0-dev-bin, python3:any, python3-gi, dh-python
+Build-Depends: debhelper (>=9), libglib2.0-bin, libglib2.0-dev-bin, python3:any | python3-all:any | python3-dev:any | python3-all-dev:any, python3-gi
 Standards-Version: 3.9.8
 Homepage: https://github.com/aperezdc/revolt
-Vcs-Git: https://salsa.debian.org/matrix-team/revolt.git
-Vcs-Browser: https://salsa.debian.org/matrix-team/revolt
+Vcs-Git: git://anonscm.debian.org/collab-maint/revolt.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/revolt.git
 
 Package: revolt
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@  --with python3

binary:
	dh $@  --with python3
	dh_gconf

override_dh_auto_install:
	SKIP_ICON_CACHE_UPDATE=1 ./install.sh --prefix=/usr --destdir='$(CURDIR)/debian/revolt'

## revolt 0.0+git20180813.6b10d57

=== debian/changelog ===
revolt (0.0+git20180813.6b10d57-1) unstable; urgency=medium

  * Remove call to dh_gconf. (Closes: #908882)
  * Fix up build-depends. (Closes: #910096)
  * New upstream snapshot. (Closes: #908846)

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 04 Oct 2018 14:46:21 -0400

revolt (0.0+git20170627.3f5112b-3) unstable; urgency=medium

  * Build-depend on dh-python. (Closes: #896739)
  * Update vcs info to point to the right place.

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 24 Apr 2018 09:28:18 -0400

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,6 @@
 
 binary:
 	dh $@  --with python3
-	dh_gconf
 
 override_dh_auto_install:
 	SKIP_ICON_CACHE_UPDATE=1 ./install.sh --prefix=/usr --destdir='$(CURDIR)/debian/revolt'

## revolt 0.0+git20200723.0aca6c8

=== debian/changelog ===
revolt (0.0+git20200723.0aca6c8-1) unstable; urgency=medium

  * New upstream snapshot.
    * Rename from Riot to Element. (Closes: #971781)
  * Bump standards version.
  * Bump debhelper compatibility.

 -- Hubert Chathi <uhoreg@debian.org>  Mon, 28 Dec 2020 13:33:38 -0500

revolt (0.0+git20180813.6b10d57-2) unstable; urgency=medium

  * Force the correct import path. (Closes: #945163)

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 24 Dec 2019 14:41:49 -0500

## revolt 0.0+git20211216.7f6f762

=== debian/changelog ===
revolt (0.0+git20211216.7f6f762-2) unstable; urgency=medium

  * Use webkit2gtk 4.1 instead of 4.0. (Closes: #1061462 - thanks to Jeremy
    Bicha)

 -- Hubert Chathi <uhoreg@debian.org>  Wed, 24 Jan 2024 22:34:57 -0500

revolt (0.0+git20211216.7f6f762-1) unstable; urgency=medium

  * New upstream snapshot.
    * Enable hardware acceleration.

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 21 Dec 2021 14:58:19 -0500

=== debian/control ===
Source: revolt
Section: net
Priority: optional
Maintainer: Matrix Packaging Team <pkg-matrix-maintainers@lists.alioth.debian.org>
Uploaders: Hubert Chathi <uhoreg@debian.org>
Build-Depends: debhelper-compat (= 12), libglib2.0-bin, libglib2.0-dev-bin, python3:any, python3-gi, dh-python
Standards-Version: 4.5.0
Homepage: https://github.com/aperezdc/revolt
Vcs-Git: https://salsa.debian.org/matrix-team/revolt.git
Vcs-Browser: https://salsa.debian.org/matrix-team/revolt

Package: revolt
Architecture: all
Depends: python3:any, python3-gi, gir1.2-webkit2-4.1, ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: better desktop integration for Element
 Revolt is a small application which wraps the Element webapp to provide better
 integration with desktop environments in general, and GNOME in particular:
 .
   * Having Element as a "standalone" application with its own window, launcher,
     icon, etc. instead of it living in a browser tab.
   * Persistent notifications (for desktop environments supporting them, i.e.
     GNOME). Notifications are automatically prevented when the Revolt window
     is focused.
   * Status icon for desktop environment which have a tray bar applet (XFCE,
     Budgie, likely many others).
 .
 Element is a chat client for Matrix, an open, federated communications
 protocol.
